package signals;

public class SyncBus extends Signals
{
	private static final long serialVersionUID = 1L;
  
	private int nb_points = 100;
	
	public SyncBus(String name)
	{
		this.name = name;
		this.setUpTime = 8;
		this.bus = true;
		this.dependsOnClk = true;
		this.type = "bus";
	}
  
	public SyncBus(String name, int clockDomain)
	{
		setId();
		this.clockDomainId = clockDomain;
		this.name = name;
		this.setUpTime = 8;
		this.bus = true;
		this.dependsOnClk = true;
		this.type = "bus";
    
		for (int i = 0; i < nb_points; i++) // 500
		{
			this.wave[i] = 0;
		}
	}
  
	public void generate(boolean beginOnRisingEdge) {}

}
